Subject: Re: [PATCH] Be nice with compilers that do not support runtime paths at all.

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 22 Oct 2007 02:44:54 -0400

Benoit SIGOURE <[email-masked]> wrote:
> >On Oct 4, 2007, at 1:18 AM, Junio C Hamano wrote:
> >>Benoit Sigoure <[email-masked]> writes:
> >>
> >>If we do not care about supporting too old GNU make, we can do
> >>this by first adding this near the top:
> >>
> >>        ifndef NO_RPATH
> >>        LINKER_PATH = -L$(1) $(CC_LD_DYNPATH)$(1)
> >>        else
> >>        LINKER_PATH = -L$(1)
> >>        endif
> >>
> >>and then doing something like:
> >>
> >>	CURL_LIBCURL = $(call LINKER_PATH,$(CURLDIR)/$(lib))
> >>	OPENSSL_LINK = $(call LINKER_PATH,$(OPENSSLDIR)/$(lib))
> >>
> >>to make it easier to read and less error prone.
> >
> >Yes.  I can rework the patch, but the question is: do you care  
> >about old GNU make?  Can I rewrite the patch with this feature?
> 
> I know Junio is still offline but maybe someone else has an objection  
> against this?

How old of a GNU make are talking about here?  The above is certainly
a lot nicer to read, but I'd hate to suddenly ship a new Git that
someone cannot compile because their GNU make is too old.

GNU make is fortunately pretty easy to compile, so it shouldn't be
that difficult for someone to build a newer version if they had to,
but why make them go through all that extra work just to install
a new Git?

What about using a small helper shell script and using $(shell)
instead of $(call)?

So I guess in short I think I was in agreement with Junio a while
ago on this, which was that I don't want to require a newer GNU
make than we already require our users to have.

-- 
Shawn.